
/**
	img 태그를 사용하는 imagelayer 를 위한 클래스입니다. 
	기존 ImageLayer 를 써도 됩니다. 
	by 이동희         
*/

function JPGImageLayer(id){
	   
	Layer.call(this,id);		
}

JPGImageLayer.prototype = new Layer(); 

JPGImageLayer.prototype.SetImage = function(img_src){

	//alert("JPGImageLayer.SetImage(" + img_src + ")" );
	$("#" +this.Obj).attr("src", img_src);
       
}

/*
//스타일 변경 안되나?
ImageLayer.prototype.AppendFgImage = function(img_id, h_space, v_space, w, h, img_src)
{

    this.fgImageObj = img_id;
    
    $("<img/>", {id: this.fgImageObj}).appendTo("#"+this.imageObj);
    
    $("#" +this.fgImageObj).attr("hspace",  h_space);
    $("#" +this.fgImageObj).attr("vspace",  v_space);
    $("#" +this.fgImageObj).attr("width:",  w);
    $("#" +this.fgImageObj).attr("height",  h);
    //attr:{hspace:h_space, vspace:v_space, width:w, height:h}
}
*/
